Subject: RE: Bug Report: CVS often fails in scripts under Cygwin
From: Josh Schulte <[email-masked]>
To: "'Charles Wilson'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 21 Sep 2000 12:07:09 -0700

Chuck,

Have you written any scripts using cvs? Can you verify this on your setup?
It may take a couple of different approaches because not every cvs command
will give the
"permission denied". Some scripts work just fine.
 
Another guy here at work gets the same results. So if you or someone else is
not getting this problem, then it is probably something we have setup in our
environment.

Thanks,
Josh

-----Original Message-----
From: Josh Schulte 
Sent: Wednesday, September 20, 2000 4:59 PM
To: 'Charles Wilson'; Josh Schulte
Cc: [email-masked]'
Subject: RE: Bug Report: CVS often fails in scripts under Cygwin

Chuck,

Yes, it does work from the command line. In fact I have made extensive use
cvs from the command line. cvs is only giving me problems when I use if from
a script.

Thanks,
Josh

> > When I use CVS in scripts under Cygwin I often get "cvs: 
> permission denied".
> > This happens in perl and shell scripts. Not every cvs 
> command will fail. But
> > the ones that fail seem to consistently fail. For instance 
> the following
> > script:

> Can you run these three commands from the shell by hand without error?
> 
> $ cvs edit build.txt
> $ echo "test" > build.txt
> $ cvs commit -m test build.txt

--
Want to unsubscribe from this list?
Send a message to [email-masked]